GIT-PRUNE(1)

NAME
git-prune - Prunes all unreachable objects from the object database

SYNOPSIS
git-prune [-n] [--] [<head>...]

DESCRIPTION
This runs git-fsck-objects --unreachable using all the refs available in $GIT_DIR/refs, optionally with additional set of objects specified on the command line, and prunes all objects unreachable from any of these head objects from the object database. In addition, it prunes the unpacked objects that are also found in packs by running git prune-packed.

OPTIONS

-n  Do not remove anything; just report what it would remove.

--  Do not interpret any more arguments as options.

<head>...
    In addition to objects reachable from any of our references, keep objects reachable from listed <head>s.

EXAMPLE
To prune objects not used by your repository nor another that borrows from your repository via its .git/objects/info/alternates:

$ git prune $(cd ../another && $(git-rev-parse --all))

AUTHOR
Written by Linus Torvalds <torvalds@osdl.org>

DOCUMENTATION
Documentation by David Greaves, Junio C Hamano and the git-list <git@vger.kernel.org>.

GIT
Part of the git(7) suite